POST
/ListStreamKeys
http://ivs.{region}.amazonaws.com/ListStreamKeysGets summary information about stream keys for the specified channel.
Access Token Required: API Key
Query Params
maxResultsstring
Pagination limit
nextTokenstring
Pagination token
Body Params
nextTokenstring
The first stream key to retrieve. This is used for pagination; see the <code>nextToken</code> response field.
channelArnstringrequired
Channel ARN used to filter the list.
maxResultsinteger
Maximum number of streamKeys to return. Default: 1.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://ivs.{region}.amazonaws.com/ListStreamKeys' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}